# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global _hardened_build 1

Name: pdns-recursor
Version: 3.5
Release: alt1_2
Summary: Modern, advanced and high performance recursing/non authoritative name server
Group: System/Servers
License: GPLv2
URL: http://powerdns.com
Source0: http://downloads.powerdns.com/releases/%{name}-%{version}.tar.bz2
Source1: pdns-recursor.service
Patch0: pdns-recursor-fixsysconfdir.patch
Patch1: pdns-recursor-fixmakefile.patch
Patch2: pdns-recursor-fixarm32.patch

Provides: powerdns-recursor = %{version}-%{release}
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires: liblua5-devel

Requires(pre): shadow-utils
Source44: import.info

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.

%prep
%setup -q
%patch0 -p1 -b .fixsysconfdir
%patch1 -p1 -b .fixmakefile
%patch2 -p1 -b .pdns-recursor-fixarm32

%build
LUA=1 LUA_CPPFLAGS_CONFIG= LUA_LIBS_CONFIG=-llua OPTFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smpflags}

%install
make install DESTDIR=%{buildroot} CONFIGDIR="%{_sysconfdir}/%{name}"
chmod 0755 %{buildroot}/%{_bindir}/rec_control
chmod 0755 %{buildroot}/%{_sbindir}/pdns_recursor
%{__install} -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/pdns-recursor.service

%{__mv} %{buildroot}%{_sysconfdir}/%{name}/recursor.conf{-dist,}

# add pdns user and group to top of configfile
sed -i '1i\setuid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf
sed -i '2i\setgid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf

%pre
getent group pdns-recursor > /dev/null || groupadd -r pdns-recursor
getent passwd pdns-recursor > /dev/null || \
    useradd -r -g pdns-recursor -d / -s /sbin/nologin \
    -c "PowerDNS Recursor user" pdns-recursor
exit 0

%post
%post_service pdns-recursor

%preun
%preun_service pdns-recursor

%files
%{_bindir}/rec_control
%{_sbindir}/pdns_recursor
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*
%{_unitdir}/pdns-recursor.service
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/recursor.conf
%doc COPYING README

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 3.5-alt1_2
- initial fc import

